Bug 62940 - 0x58 IDE error when GNOME loads in RH 7.1 or 7.2
0x58 IDE error when GNOME loads in RH 7.1 or 7.2
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-08 02:03 EDT by Mark Dietz
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Dietz 2002-04-08 02:03:10 EDT
Description of Problem: An IDE seek error occurs when loading GNOME, mostly about the time it queries the CDROM. This problem occurs with ASUS motherboards 
with PIII CPU's and Via or Intel Chips. The source of the problem occurs when the Ultra DMA drive and CDROM are on the primary chain using the Ultra DMA cable. If 
they are put on different Interfaces the problem stops.


Version-Release number of selected component (if applicable):
The Standard copy of GNOME with RH 7.1 and RH 7.2

How Reproducible:
Get a PIII machine with ASUS motherboard and Via or Intel chipsets
Get an Ultra DMA drive
Get a CDROM
Get a Ultra DMA cable

Steps to Reproduce:
1. Plug the Ultra DMA cable into machine in the Primary IDE connector. Then plug in Ultra DMA IDE drive and CDROM in the on cable
2. Build the machine with RH 7.2
3. Boot machine and open GNOME the error will occur within 1-3 reboots and will be persistant on other reboots

Actual Results:
The error causes sporatic IDE read problems and is fixed by separating the HD and CDROM

Expected Results:
The error not to occur

Additional Information:
Need to know if there is a fix because I need them both on the same interface
Comment 1 Havoc Pennington 2002-04-09 07:26:03 EDT
kernel or hardware issue, gnome-core is all userspace.
Comment 2 Arjan van de Ven 2002-04-09 08:12:16 EDT
I recommend disabling dma on the cdrom as experiment:
hdparm -d0 /dev/hdb

you can also try

rpm -e magicdev

as other thing to try....
Comment 3 Bugzilla owner 2004-09-30 11:39:29 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.